import React from 'react';
import public from 'commons/public';
import Mount from '../components/mount';
import { Button, Grid } from '@mui/material';
import { makeStyles } from 'tss-react/mui';
const { ipcRenderer } = require('electron');
const electron = window.require('electron');

const useStyles = makeStyles()((theme) => {
    return {
        initBody: {
            display: 'flex',
            flexDirection: 'column',
            alignItems: 'center',
        },
        rootButton: {
            backgroundColor: '#1370FF',
            boxShadow: 'none !important',
            color: '#ffffff',
            '&:hover': { backgroundColor: '#0055D9', transform: 'inherit' },
        },
    };
});

export default (props) => {
    const { classes } = useStyles();
    const { render, navigate } = public();

    return (
        <Grid className={classes.initBody}>
            <Mount />

            <Button
                variant="contained"
                sx={{ width: '300px', marginTop: '24px' }}
                classes={{
                    root: classes.rootButton,
                }}
                onClick={() => {
                    navigate('/home');
                    electron.ipcRenderer.send('resize-home');
                }}
            >
                确定
            </Button>
        </Grid>
    );
};
